Bug 1004680 - Replica installation fails on RHEL-7.0 using replica file created on RHEL-6.4
Replica installation fails on RHEL-7.0 using replica file created on RHEL-6.4
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Jan Cholasta
Namita Soman
Depends On:
  Show dependency treegraph
Reported: 2013-09-05 04:27 EDT by Kaleem
Modified: 2014-06-17 20:11 EDT (History)
6 users (show)

See Also:
Fixed In Version: ipa-3.3.1-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 05:39:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log files (250.00 KB, application/x-tar)
2013-09-05 08:55 EDT, Kaleem
no flags Details
patch (4.02 KB, patch)
2013-09-09 04:50 EDT, Jan Cholasta
no flags Details | Diff
console log for replica installation on 7.0 from 6.5 replica file (6.18 KB, text/plain)
2013-09-11 05:26 EDT, Kaleem
no flags Details

  None (edit)
Description Kaleem 2013-09-05 04:27:42 EDT
Description of problem:
While executing migration from RHEL-6.4 IPA to RHEL-70 IPA, replica installation fails on RHEL-70 with replica file which was created on RHEL-64

Version-Release number of selected component (if applicable):
[root@rhel70-replica ~]# rpm -q ipa-server 389-ds-base
[root@rhel70-replica ~]#

How reproducible:

Steps to Reproduce:
1.Create replica file for RHEL-70 on RHEL-64 IPA Master.
2.Install replica on RHEL-70 using replica file created on RHEL-64 IPA Master.

Actual results:
Replica installation fails with following error message.

  [32/33]: tuning directory server
ipa         : CRITICAL Failed to restart the directory server (Command '/bin/systemctl restart dirsrv@TESTRELM-COM.service' returned non-zero exit status 1). See the installation log for details.
ipa         : CRITICAL Failed to load ds-nfiles.ldif: Command '/usr/bin/ldapmodify -v -f /tmp/tmpt3eosT -H ldap://rhel70-replica.testrelm.com:389 -x -D cn=Directory Manager -y /tmp/tmpSa19tb' returned non-zero exit status 255

Expected results:
Replica installation should be successful.

Additional info:
(1)Please find attached ipareplica-install log file , DS log files.
Comment 2 Rob Crittenden 2013-09-05 08:51:57 EDT
Please attach the logs
Comment 3 Kaleem 2013-09-05 08:55:50 EDT
Created attachment 794267 [details]
log files
Comment 4 Jan Cholasta 2013-09-06 05:16:16 EDT
This is caused by <https://fedorahosted.org/389/ticket/47490>.
Comment 5 Martin Kosek 2013-09-06 06:13:56 EDT
Can you workaround it similarly to a workaround in https://fedorahosted.org/freeipa/ticket/3778 so that the 7.0 replica can be installed until the DS ticket is fixed?
Comment 7 Jan Cholasta 2013-09-09 04:50:47 EDT
Created attachment 795542 [details]
Comment 10 Martin Kosek 2013-09-09 09:32:50 EDT
Upstream ticket:
Comment 12 Petr Viktorin 2013-09-10 03:53:40 EDT
A workaround was pushed to IPA; a proper solution should be done in the DS: https://fedorahosted.org/389/ticket/47490
Comment 13 Kaleem 2013-09-11 05:24:27 EDT
Verified. Now replica installation is successful with latest build.

:: [ 13:19:45 ] ::  RUN ipa-replica-prepare on rhel64-master.testrelm.com
Warning: Permanently added the RSA host key for IP address '' to the list of known hosts.
Password for admin@TESTRELM.COM: 
Preparing replica for rhel70-replica1.testrelm.com from rhel64-master.testrelm.com
Creating SSL certificate for the Directory Server
Creating SSL certificate for the dogtag Directory Server
Creating SSL certificate for the Web Server
Exporting RA certificate
Copying additional files
Finalizing configuration
Packaging replica information into /var/lib/ipa/replica-info-rhel70-replica1.testrelm.com.gpg
Adding DNS records for rhel70-replica1.testrelm.com
Using reverse zone 207.65.10.in-addr.arpa.
Stopping named: .[  OK  ]
Starting named: [  OK  ]
:: [   PASS   ] :: Running 'ssh -o StrictHostKeyChecking=no root@rhel64-master.testrelm.com "echo xxxxxxxx|kinit admin; ipa-replica-prepare -p xxxxxxxx --ip-address= rhel70-replica1.testrelm.com; service named restart"' (Expected 0, got 0)
:: [   PASS   ] :: Running 'sleep 60' (Expected 0, got 0)
:: [ 13:20:58 ] ::  RUN sftp to get gpg file
Connected to rhel64-master.testrelm.com.
Fetching /var/lib/ipa/replica-info-rhel70-replica1.testrelm.com.gpg to /opt/rhqa_ipa/replica-info-rhel70-replica1.testrelm.com.gpg
/var/lib/ipa/replica-info-rhel70-replica1.testrelm.com.gpg                                                                 100%   34KB  34.5KB/s   00:00    
:: [   PASS   ] :: Running 'sftp -o StrictHostKeyChecking=no root@rhel64-master.testrelm.com:/var/lib/ipa/replica-info-rhel70-replica1.testrelm.com.gpg /opt/rhqa_ipa/' (Expected 0, got 0)
:: [ 13:20:59 ] ::  RUN ipa-replica-install
Run connection check to master
Check connection from replica to remote master 'rhel64-master.testrelm.com':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK

The following list of ports use UDP protocol and would need to be
checked manually:
   Kerberos KDC: UDP (88): SKIPPED
   Kerberos Kpasswd: UDP (464): SKIPPED

Connection from replica to master is OK.
Start listening on required ports for remote master check
Get credentials to log in to remote master
Check SSH connection to remote master
Execute check on remote master
Check connection from master to remote replica 'rhel70-replica1.testrelm.com':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos KDC: UDP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   Kerberos Kpasswd: UDP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK

Connection from master to replica is OK.

Connection check OK
Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv): Estimated time 31 minutes
  [1/34]: creating directory server user
  [2/34]: creating directory server instance
  [3/34]: adding default schema
  [4/34]: enabling memberof plugin
  [5/34]: enabling winsync plugin
  [6/34]: configuring replication version plugin
  [7/34]: enabling IPA enrollment plugin
  [8/34]: enabling ldapi
  [9/34]: configuring uniqueness plugin
  [10/34]: configuring uuid plugin
  [11/34]: configuring modrdn plugin
  [12/34]: configuring DNS plugin
  [13/34]: enabling entryUSN plugin
  [14/34]: configuring lockout plugin
  [15/34]: creating indices
  [16/34]: enabling referential integrity plugin
  [17/34]: configuring ssl for ds instance
  [18/34]: configuring certmap.conf
  [19/34]: configure autobind for root
  [20/34]: configure new location for managed entries
  [21/34]: configure dirsrv ccache
  [22/34]: enable SASL mapping fallback
  [23/34]: restarting directory server
  [24/34]: setting up initial replication
Starting replication, please wait until this has completed.
Update in progress, 12 seconds elapsed
Update succeeded

  [25/34]: updating schema
  [26/34]: setting Auto Member configuration
  [27/34]: enabling S4U2Proxy delegation
  [28/34]: initializing group membership
  [29/34]: adding master entry
  [30/34]: configuring Posix uid/gid generation
  [31/34]: adding replication acis
  [32/34]: enabling compatibility plugin
  [33/34]: tuning directory server
  [34/34]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring certificate server (pki-tomcatd): Estimated time 33 minutes 30 seconds
  [1/19]: creating certificate server user
  [2/19]: configuring certificate server instance
  [3/19]: stopping certificate server instance to update CS.cfg
  [4/19]: disabling nonces
  [5/19]: set up CRL publishing
  [6/19]: starting certificate server instance
  [7/19]: creating RA agent certificate database
  [8/19]: importing CA chain to RA certificate database
  [9/19]: fixing RA database permissions
  [10/19]: setting up signing cert profile
  [11/19]: set certificate subject base
  [12/19]: enabling Subject Key Identifier
  [13/19]: enabling CRL and OCSP extensions for certificates
  [14/19]: setting audit signing renewal to 2 years
  [15/19]: configuring certificate server to start on boot
  [16/19]: configure certmonger for renewals
  [17/19]: configure clone certificate renewals
  [18/19]: configure Server-Cert certificate renewal
  [19/19]: Configure HTTP to proxy connections
Done configuring certificate server (pki-tomcatd).
Restarting the directory and certificate servers
Configuring Kerberos KDC (krb5kdc): Estimated time 30 minutes 30 seconds
  [1/9]: adding sasl mappings to the directory
  [2/9]: writing stash file from DS
  [3/9]: configuring KDC
  [4/9]: creating a keytab for the directory
  [5/9]: creating a keytab for the machine
  [6/9]: adding the password extension to the directory
  [7/9]: enable GSSAPI for replication
  [8/9]: starting the KDC
  [9/9]: configuring KDC to start on boot
Done configuring Kerberos KDC (krb5kdc).
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
Done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
Done configuring ipa_memcached.
Configuring the web interface (httpd): Estimated time 31 minutes
  [1/14]: disabling mod_ssl in httpd
  [2/14]: setting mod_nss port to 443
  [3/14]: setting mod_nss password file
  [4/14]: enabling mod_nss renegotiate
  [5/14]: adding URL rewriting rules
  [6/14]: configuring httpd
  [7/14]: setting up ssl
  [8/14]: publish CA cert
  [9/14]: creating a keytab for httpd
  [10/14]: clean up any existing httpd ccache
  [11/14]: configuring SELinux for httpd
  [12/14]: configure httpd ccache
  [13/14]: restarting httpd
  [14/14]: configuring httpd to start on boot
Done configuring the web interface (httpd).
Configuring ipa-otpd
  [1/2]: starting ipa-otpd 
  [2/2]: configuring ipa-otpd to start on boot
Done configuring ipa-otpd.
Applying LDAP updates
Restarting the directory server
Restarting the KDC
Using reverse zone 207.65.10.in-addr.arpa.
Configuring DNS (named)
  [1/9]: adding NS record to the zone
  [2/9]: setting up reverse zone
  [3/9]: setting up our own record
  [4/9]: setting up CA record
  [5/9]: setting up kerberos principal
  [6/9]: setting up named.conf
  [7/9]: restarting named
  [8/9]: configuring named to start on boot
  [9/9]: changing resolv.conf to point to ourselves
Done configuring DNS (named).

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
:: [   PASS   ] :: Running ' /usr/sbin/ipa-replica-install -U --setup-ca --setup-dns --forwarder= -w xxxxxxxx -p xxxxxxxx /opt/rhqa_ipa/replica-info-rhel70-replica1.testrelm.com.gpg' (Expected 0, got 0)

[root@rhel70-replica1 ~]# rpm -q ipa-server 389-ds-base
[root@rhel70-replica1 ~]#

Since now we have decided to do migration from 6.5 to 7.0 and not from 6.4, i also tried with 6.5 replica file and it went successful also on RHEL-7.0.
Comment 14 Kaleem 2013-09-11 05:26:39 EDT
Created attachment 796305 [details]
console log for replica installation on 7.0 from 6.5 replica file
Comment 15 Ludek Smid 2014-06-13 05:39:10 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.